package CHAPTER11;

import javax.swing.*;
import java.awt.event.FocusAdapter;
import java.awt.event.FocusEvent;

// FocusAdapter 상속을 통해 필요한 이벤트만 처리하는 클래스
class MyFocusAdapter extends FocusAdapter {
    @Override
    public void focusGained(FocusEvent e) {
        System.out.println("텍스트 필드가 포커스를 얻었습니다.");
    }
}

public class C11_12_FocusAdapter extends JFrame {
	public C11_12_FocusAdapter() {
		setTitle("포커스어댑터 예제");
		setSize(300, 200);
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
         
		JTextField textField = new JTextField(20);

        // MyFocusAdapter 객체를 이벤트 리스너로 등록
        textField.addFocusListener(new MyFocusAdapter());

        add(textField);
        setVisible(true);
	}
    public static void main(String[] args) {        
        new C11_12_FocusAdapter();
    }
}